Bug 132528 - RFE: Add a note to users about using shift+numlock numpad mouse mode when doing graphical installs with no mouse
RFE: Add a note to users about using shift+numlock numpad mouse mode when doi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Bailey
:
Depends On:
Blocks: fc-relnotes-blocker
  Show dependency treegraph
 
Reported: 2004-09-14 10:57 EDT by Jef Spaleta
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 11:48:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2004-09-14 10:57:24 EDT
Description of problem:
Everyone loves graphical installs
Not everyone has a mouse and it seems key navigation in graphical
anaconda can be confusing to some people.

But... the shift+numlock mode allows for people to use the numpad
to direct the mouse motion. I need to read up on which key combination
does selection and focus, but mharris assures me the numpad mouse nav
and selection is a oft-overlooked feature of X and is available.

So in future releases of anaconda i would hope that this mode could be 
activated or at least communicated to the users when they choose
graphical mode without a mouse.  In the meantime however, a short note
about the numpad mouse navigation mode in the release notes would be
useful.

If requested, I can spend a little time sometime in the next week
writing a mock up short paragraph with the details of using the
mousenav mode.

-jef
Comment 1 Ed Bailey 2004-09-14 11:23:30 EDT
Jef -- If you want to take a crack at it, that would be super...
Comment 2 Jef Spaleta 2004-09-14 12:06:15 EDT
Google is so my friend:
http://www.tuxfiles.org/linuxhelp/movecursor.html

shift+numlock to enter/exit numpad mouse mode
keys  1-9 excluding key 5 are for navigation in mouse movement
key 5 is a "CLICK" and defaults to right-handed mouse left-click
key 5 twice is a double click
select which mouse button key 5 actually represents with the
/ * -  numpad keys, 
/ would be left mouse button on right handed mouse
* middle button
- would be right mouse button on right handed mouse

Notes:
There is no feedback as to if you are in numpad navigation mode or
not. And there is no feedback as to which mousebutton is selected for
key 5 "Click" operation. So some care will have to be taken when using
this mode, until anaconda can be taught to give some feedback when
this mode is active. Leads me to wonder if gnome has visual
notification of this mode in its roadmap....

-jef
Comment 3 Ed Bailey 2004-10-25 11:48:37 EDT
Jef -- Just finished talking with some of the developers, and the
consensus is that this isn't good release notes material.  The issues
seem to be that the feature is not new, is not very easy to use
successfully (as you noted, visual feedback is lacking), and it flat
out doesn't work on some systems (laptops, for example).  So I'm going
to pass on this one...

Note You need to log in before you can comment on or make changes to this bug.